<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCompras($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$objResponse = new xajaxResponse();
	if ($varResul=="OK") {
		$objResponse->alert("SE GENERO EL PPC CORRECTAMENTE");
		}
	else
		$objResponse->alert("ERROR AL PROCESAR DATOS...!!!!!\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $objResponse;
	}
	

$xajax->register(XAJAX_FUNCTION, 'comboMesGeneraPPC');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xGrabarJS() {
		if (xajax.$("anio").value=="Ninguno" || xajax.$("mes").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN PERIODO")
			}
		else {
			if (confirm("¿DESEA REGISTRAR LA COMPRA?")) {
				xajax_xGrabar(xajax.getFormValues('form'));		
				}
			}
		}
</script>
<?php

function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	}
?>